<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Ugleh
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."award_system/award_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."award_system/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
  include INFUSIONS."award_system/locale/".$settings['locale'].".php";
} else {
  // Load the infusion's default locale file.
  include INFUSIONS."award_system/locale/English.php";
}

// Infusion general information
$inf_title = $locale['as1_title'];
$inf_description = $locale['as1_desc'];
$inf_version = "1.0";
$inf_developer = "Ugleh";
$inf_email = "im@ugleh.com";
$inf_weburl = "http://ugleh.com";

$inf_folder = "award_system"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_droptable[1] = DB_AWARDS_TABLE;
$inf_droptable[2] = DB_AWARDSUSER_TABLE;

$inf_newtable[1] = DB_AWARDS_TABLE." (
`awards_id` INT( 11 ) NOT NULL auto_increment,
`awards_imageurl` VARCHAR( 255 ) NOT NULL,
`awards_title` VARCHAR( 255 ) NOT NULL,
`awards_description` VARCHAR( 255 ) NOT NULL,
`make_public` INT( 11 ) NOT NULL default '1',
PRIMARY KEY(`awards_id`)
) TYPE=MyISAM;";



$inf_newtable[2] = DB_AWARDSUSER_TABLE." (
`increment_id` INT( 11 ) NOT NULL auto_increment,
`user_id` INT( 11 ) NOT NULL,
`admin_id` INT( 11 ) NOT NULL,
`awards_id` INT( 11 ) NOT NULL,
`award_time` INT( 12 ) NOT NULL,
PRIMARY KEY(`increment_id`)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Donator.png', 'Donator','This user donated to the server!','1')";
$inf_insertdbrow[2] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Spam.png', 'Spammer','STOP THE SPAM!','1')";
$inf_insertdbrow[3] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Camera.png', 'Photographer','This user has had an image submission approved','1')";
$inf_insertdbrow[4] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Weblink.png', 'Backlinked','This user has had a Weblink submission approved','1')";
$inf_insertdbrow[5] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Camera.png', 'Writer','This user has had an Article or News submission approved','1')";
$inf_insertdbrow[6] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Grammar-Nazi.png', 'Grammar Nazi','Excellent grammar!','1')";
$inf_insertdbrow[7] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Star.png', 'Star','Well known among the community!','1')";
$inf_insertdbrow[8] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Sticky.png', 'Stickied','This user has had one of their threads stickied','1')";
$inf_insertdbrow[9] = DB_AWARDS_TABLE." (awards_id, awards_imageurl, awards_title, awards_description, make_public) VALUES('','Techie.gif', 'Tech Guru','This user has helped the site out','1')";


$inf_adminpanel[1] = array(
  "title" => $locale['as1_admin1'],
  "image" => "awardsystem.png",
  "panel" => "award_admin.php",
  "rights" => "AS1"
);
$inf_adminpanel[2] = array(
  "title" => $locale['as1_admin2'],
  "image" => "awardsystem.png",
  "panel" => "award_useradmin.php",
  "rights" => "AS2"
);
?>